import std.math, std.stdio;

void main()
{
    foreach (float elem; 1.0 .. 100.0)
    {
        writeln(log(elem)); // По­лу­ча­ет ло­га­рифм с оди­нар­ной точ­но­стью
    }
    foreach (double elem; 1.0 .. 100.0)
    {
        writeln(log(elem)); // Двой­ная точ­ность
    }
    foreach (elem; 1.0 .. 100.0)
    {
        writeln(log(elem)); // То же са­мое
    }
}
